#!/bin/bash

package=4store
version=-v1.1.5

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_AFREPO ../.. $*

prefix=$GEXT_AFREPO_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version
opt_run_configure $force_config $auto_config $package $version $prefix \
  RAPTOR_CFLAGS=-I$GEXT_AFREPO_INSTALLED/include/raptor2 RAPTOR_LIBS="$GEXT_AFREPO_INSTALLED/lib/libraptor2.so" \
  RASQAL_CFLAGS=-I$GEXT_AFREPO_INSTALLED/include/rasqal RASQAL_LIBS="$GEXT_AFREPO_INSTALLED/lib/librasqal.so" 

opt_run_make $compile $package $version
opt_run_make $install $package $version "install"
opt_run_make $clean $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version

